Lucene++ - a full-featured, c++ search engine
API Documentation

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- File List
- Globals

Data Structures | Namespaces
MultiTermQuery.h File Reference
`#include "Query.h"`

Go to the source code of this file.

## Data Structures

class | Lucene::MultiTermQuery
| An abstract Query that matches documents containing a subset of terms provided by a FilteredTermEnum enumeration. More...
class | Lucene::RewriteMethod
| Abstract class that defines how the query is rewritten. More...
class | Lucene::ConstantScoreAutoRewrite
| A rewrite method that tries to pick the best constant-score rewrite method based on term and document counts from the query. If both the number of terms and documents is small enough, then CONSTANT_SCORE_BOOLEAN_QUERY_REWRITE is used. Otherwise, CONSTANT_SCORE_FILTER_REWRITE is used. More...

## Namespaces

| Lucene

clucene.sourceforge.net